net.sourceforge.pmd.lang.xml.ast

## Interface XmlNode

- All Superinterfaces:
    AttributeNode, Node

      public interface XmlNode
      extends Node, AttributeNode

  This interface represents all XML AST nodes. They are essentially thin wrappers around the underlying DOM nodes.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Node` | `getNode()` Provide access to the underlying DOM node.

    - ### Methods inherited from interface net.sourceforge.pmd.lang.ast.Node

      `findChildNodesWithXPath, findChildrenOfType, findDescendantsOfType, findDescendantsOfType, getAsDocument, getBeginColumn, getBeginLine, getDataFlowNode, getEndColumn, getEndLine, getFirstChildOfType, getFirstDescendantOfType, getFirstParentOfType, getImage, getNthParent, getParentsOfType, getUserData, hasDescendantMatchingXPath, hasDescendantOfType, hasImageEqualTo, isFindBoundary, jjtAddChild, jjtClose, jjtGetChild, jjtGetId, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, setDataFlowNode, setImage, setUserData`

    - ### Methods inherited from interface net.sourceforge.pmd.lang.ast.xpath.AttributeNode

      `getAttributeIterator`

- - ### Method Detail

    - #### getNode

          Node getNode()

      Provide access to the underlying DOM node.
      Returns:
        The DOM node.

Copyright © 2002-2013 InfoEther. All Rights Reserved.